Index: main/minimime/minimime.c
===================================================================
--- main/minimime/minimime.c	(revision 82230)
+++ main/minimime/minimime.c	(working copy)
@@ -38,8 +38,11 @@
 #include <unistd.h>
 #include <fcntl.h>
 #include <getopt.h>
-#include <err.h>
 
+#if !defined(SOLARIS) && !defined(__CYGWIN__)
+	/* #include <err.h> */
+#endif
+
 #include "mm.h"
 
 void
@@ -106,20 +109,20 @@
 			i = mm_parse_file(ctx, argv[0], MM_PARSE_LOOSE, 0);
 		} else {
 			if (stat(argv[0], &st) == -1) {
-				err(1, "stat");
+				fprintf(stderr,"INFO: stat");
 			}
 	
 			if ((fd = open(argv[0], O_RDONLY)) == -1) {
-				err(1, "open");
+				fprintf(stderr,"INFO: open");
 			}
 
 			buf = (char *)malloc(st.st_size);
 			if (buf == NULL) {
-				err(1, "malloc");
+				fprintf(stderr,"INFO: malloc");
 			}	
 
 			if (read(fd, buf, st.st_size) != st.st_size) {
-				err(1, "read");
+				fprintf(stderr,"INFO: read");
 			}
 
 			close(fd);
Index: main/minimime/mm_mem.c
===================================================================
--- main/minimime/mm_mem.c	(revision 82230)
+++ main/minimime/mm_mem.c	(working copy)
@@ -37,9 +37,12 @@
 #include <stdlib.h>
 #include <string.h>
 #include <unistd.h>
-#include <err.h>
 #include <assert.h>
 
+#if !defined(SOLARIS) && !defined(__CYGWIN__)
+        /* #include <err.h> */
+#endif
+
 #include "mm_internal.h"
 
 #ifdef __HAVE_LEAK_DETECTION
@@ -55,11 +58,11 @@
 
 	pointer = malloc(size);
 	if (pointer == NULL)
-		err(1, "malloc");
+		fprintf(stderr, "INFO: malloc");
 
 	chunk = (struct MM_mem_chunk *)malloc(sizeof(struct MM_mem_chunk));
 	if (chunk == NULL)
-		err(1, "malloc");
+		fprintf(stderr,"INFO: malloc");
 
 	chunk->address = pointer;
 	chunk->size = size;
Index: main/minimime/tests/create.c
===================================================================
--- main/minimime/tests/create.c	(revision 82230)
+++ main/minimime/tests/create.c	(working copy)
@@ -40,8 +40,11 @@
 #include <unistd.h>
 #include <fcntl.h>
 #include <getopt.h>
-#include <err.h>
 
+#if !defined(SOLARIS) && !defined(__CYGWIN__)
+ /* #include <err.h> */
+#endif
+
 #include "mm.h"
 
 const char *progname;
Index: main/minimime/tests/parse.c
===================================================================
--- main/minimime/tests/parse.c	(revision 82230)
+++ main/minimime/tests/parse.c	(working copy)
@@ -40,8 +40,12 @@
 #include <unistd.h>
 #include <fcntl.h>
 #include <getopt.h>
-#include <err.h>
 
+
+#if !defined(SOLARIS) && !defined(__CYGWIN__)
+	/* #include <err.h> */
+#endif
+
 #include "mm.h"
 
 const char *progname;
